Debian Bug report logs - #696309
ITP: libmath-prime-util-gmp-perl -- Perl utilities related to prime numbers, using GMP

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Daniel Kahn Gillmor <dkg@fifthhorseman.net>

Date: Wed, 19 Dec 2012 07:39:01 UTC

Owned by: Daniel Kahn Gillmor <dkg@fifthhorseman.net>

Severity: wishlist

Fixed in version libmath-prime-util-gmp-perl/0.6-1

Done: Daniel Kahn Gillmor <dkg@fifthhorseman.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dkg@fifthhorseman.net, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#696309; Package wnpp. (Wed, 19 Dec 2012 07:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
New Bug report received and forwarded. Copy sent to dkg@fifthhorseman.net, debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 19 Dec 2012 07:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libmath-prime-util-gmp-perl -- Perl utilities related to prime numbers, using GMP
Date: Wed, 19 Dec 2012 02:37:48 -0500
Package: wnpp
Severity: wishlist
Owner: Daniel Kahn Gillmor <dkg@fifthhorseman.net>

* Package name    : libmath-prime-util-gmp-perl
  Version         : 0.6
  Upstream Author : Dana A Jacobsen <dana@acm.org>
* URL             : http://search.cpan.org/dist/Math-Prime-Util-GMP/
* License         : Perl (GPL or Artistic)
  Programming Lang: C, Perl
  Description     : Perl utilities related to prime numbers, using GMP
 A set of utilities related to prime numbers, using GMP. This includes
 primality tests, getting primes in a range, and factoring.
 .
 While it certainly can be used directly, the main purpose of this module is
 for Math::Prime::Util. That module will automatically load this if it is
 installed, greatly speeding up many of its operations on big numbers.
 .
 Inputs and outputs for big numbers are via strings, so you do not need to use
 a bigint package in your program. However if you do use bigints, inputs will
 be converted internally so there is no need to convert before a call. Output
 results are returned as either Perl scalars (for native-size) or strings (for
 bigints). Math::Prime::Util tries to reconvert all strings back into the
 callers bigint type if possible, which makes it more convenient for
 calculations.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 21 Dec 2012 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
You have taken responsibility. (Thu, 10 Jan 2013 12:03:06 GMT) Full text and rfc822 format available.

Notification sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Bug acknowledged by developer. (Thu, 10 Jan 2013 12:03:06 GMT) Full text and rfc822 format available.

Message #12 received at 696309-close@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 696309-close@bugs.debian.org
Subject: Bug#696309: fixed in libmath-prime-util-gmp-perl 0.6-1
Date: Thu, 10 Jan 2013 12:00:05 +0000
Source: libmath-prime-util-gmp-perl
Source-Version: 0.6-1

We believe that the bug you reported is fixed in the latest version of
libmath-prime-util-gmp-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696309@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Kahn Gillmor <dkg@fifthhorseman.net> (supplier of updated libmath-prime-util-gmp-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 19 Dec 2012 01:54:58 -0500
Source: libmath-prime-util-gmp-perl
Binary: libmath-prime-util-gmp-perl
Architecture: source amd64
Version: 0.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Description: 
 libmath-prime-util-gmp-perl - Utilities related to prime numbers, using GMP
Closes: 696309
Changes: 
 libmath-prime-util-gmp-perl (0.6-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #696309)
Checksums-Sha1: 
 e2057967de349d2e40ce0eebbe1d55d23741e9da 2285 libmath-prime-util-gmp-perl_0.6-1.dsc
 b172a329dbdab92ad59bc8d03ecfd862b6569116 69116 libmath-prime-util-gmp-perl_0.6.orig.tar.gz
 8b1b37b4e7bc8ece9809fd8c0604db103c8a5e6f 1752 libmath-prime-util-gmp-perl_0.6-1.debian.tar.gz
 d536c1e944eaa41dd35942891da8c98afe62c3b7 58034 libmath-prime-util-gmp-perl_0.6-1_amd64.deb
Checksums-Sha256: 
 05a0cc005b395fc01e75b64ab4798955c7be3d371be8dc3aab32e585b829c2d8 2285 libmath-prime-util-gmp-perl_0.6-1.dsc
 49b776edda801bbb611b85c96917eddb23ebd0194ddfd2fc1e975ef13ef20723 69116 libmath-prime-util-gmp-perl_0.6.orig.tar.gz
 84f49556abb04e0870ede0012afca30c7f6424900672619d6f7ee8fe7bb34931 1752 libmath-prime-util-gmp-perl_0.6-1.debian.tar.gz
 ac8c005ae3baa46b1273124143be26efbf66fd7d9263b67785a60e787e53a0c4 58034 libmath-prime-util-gmp-perl_0.6-1_amd64.deb
Files: 
 a2a1cb41713e1938204ffe40bbdb2194 2285 perl optional libmath-prime-util-gmp-perl_0.6-1.dsc
 c9c15c2cf2f0fe8f81a109365e9bbd46 69116 perl optional libmath-prime-util-gmp-perl_0.6.orig.tar.gz
 73670946b31b835de3959d5ea4f95b8c 1752 perl optional libmath-prime-util-gmp-perl_0.6-1.debian.tar.gz
 6fa867313d4d088a0557954661f78216 58034 perl optional libmath-prime-util-gmp-perl_0.6-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQJ8BAEBCgBmBQJQ08DhXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQwRUU1QkU5NzkyODJEODBCOUY3NTQwRjFD
Q0QyRUQ5NEQyMTczOUU5AAoJEMzS7ZTSFznpdPoP/3b2ZGyCxorB5udsLvz9RYTQ
I0jr3PcSU9zEFDRDWcUxmd+8qYUG0qQZq6shf2prIcHmyrjtHcYSCzEToFvvgzFQ
W6HMdfNNJHwLkE7ZLjSV/tTjXsaxtAy43RZwx5tNS7/O91k9adSFntqymkLagrb3
nf1Db/9MT01tdz0tcruDGULbg1/CwPYQJmxrAkl3TIurVyP+LRK7d29P2ue3i79O
kFWJfOOXIj3Uwp9mVIrnn0tk8tM+b7PQZfg48I0FswGkBOzZe1Ca3YgdNdoikaAg
A7UzZn73BTVfpW/iGe3is0BnkOoggz7aGdrvdIGW+xmJLPpLxWKPWfuQ0d9dwd4y
Cr2wMG2gmU/w3B3901cmGBYBc8ZH1ia0syyvl4zme1vAFgYsbPAOgP1K2Rzv85hA
79pGKe1BNubG3icMYMQrauBPAeJeHCol9qpiH0ZD3z3lXAYYcIPlkE5ZTc9BjwzP
K3Que6lbB/IEtxKK2+CEkELGU/5mbZXIcEBzPLrOtmEKpOYjWCKfUsQm0GBXl/yQ
ezjf/Ze40H0O/DbFWSIanyJ3h5pkheYFZNQOr+zFEABfyNKzgD4uI3CQDBLtZNhU
36Qr4eFR8egSGIJmvqUoBpmWac631X0SnbtO+Kmdq9Y0ylZfdceVHCiI1cFEgNhv
SCHuQODE9wFHcoZS2u1f
=Y/uf
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Feb 2013 07:25:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:35:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.